Changes between Version 17 and Version 18 of PythonOcc


Ignore:
Timestamp:
Nov 2, 2012, 11:04:51 AM (8 years ago)
Author:
skulovec
Comment:

Dodajanje podpoglavja, slikovna predstavitev enostavnega modeliranja

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc

    v17 v18  
    2626    BaseClass = wx.glcanvas.GLCanvas
    2727}}}
    28 
    2928V primeru, da nam namestitveni program nepravilno namesti imenik na {{{C:\OCC}}} ga prestavimo v podimenik {{{C:\Python26\Lib\site-packages}}}
    3029
     30
    3131== Predstavitev CAD-jedra Open CASCADE na primerih ==
     32=== Slikovni pregled izdelave 3D modela ===
     33{{{
     34#!python
     35a. Definiranje tock v prostoru:
     36aPnt1 = gp_Pnt(x_1 , y_1 , z_1) --> aPnt4 = gp_Pnt(x_4 , y_4 , z_4)
     37
     38b. Iz tock v prostoru se tvori robove (en rob je sestavljen iz najmanj dveh tock):
     39myEdge1 = BRepBuilderAPI_MakeEdge(aPnt1, aPnt2) --> myEdge4 = BRepBuilderAPI_MakeEdge(aPnt4, aPnt1)
     40
     41c. Ko imamo vse robove izdelamo mrezo:
     42myWire  = BRepBuilderAPI_MakeWire(aEdge1.Edge() , aEdge2.Edge() ,aEdge3.Edge(), aEdge4.Edge())
     43
     44d. Iz mreze tvorimo povrsino (mreza mora biti zaprta):
     45myFace = BRepBuilderAPI_MakeFace(myWire)
     46
     47e. Definiranje prostorskega vektorja, ki bo dolocal smer ekstrudiranja povrsine:
     48myVec = gp_Vec(n_x , n_y , n_z)
     49
     50f. Z povrsino in smernim vektorjem izdelamo 3D model:
     51myBody = BRepPrimAPI_MakePrism(myFace.Face() , myVec)
     52}}}
     53{{{
     54#!html
     55<object data="/vaje/raw-attachment/wiki/PythonOcc/points-solid.svg" type="svg+xml">
     56<param name="src" value="points-solid.svg">
     57</object>
     58}}}
     59
    3260=== Pregled uporabljenih OCC knjižnic ===
    3361{{{